#!/bin/sh
#
# test program for fiwalk

/bin/rm -f gen5.xml
ficonfig=../plugins/ficonfig.txt
if [ ! -r $ficonfig ] ; then
  ficonfig=$srcdir/../plugins/ficonfig.txt
fi
if ! ./fiwalk -c $ficonfig  -X gen5.xml /corp/images/nps/nps-2009-canon2/nps-2009-canon2-gen5.raw ; then exit 1 ; fi
if ! grep 6c9e27f9911f37488ef0d6e878c68f2a61100b2c gen5.xml ; then echo sha1 extract not working; exit 1 ; fi
if ! grep 'One-chip color area sensor' gen5.xml ; then echo EXPAT plugin not working ; exit 1; fi
/bin/rm -f gen5.xml

